Subject: Re: bug#27901: 25.1; x-win-suspend-error: Cannot suspend Emacs while running under X

From: Eli Zaretskii <[email-masked]>
Date: Sat, 05 Aug 2017 21:43:31 +0300

> Date: Sat, 05 Aug 2017 20:27:00 +0200
> From: Francesco Potortì <[email-masked]>
> Cc: [email-masked]
> 
> >> The terminal frame is running inside a terminal under Screen.  When I
> >> access it remotely, I have no access to the GUI.  I cannot suspend Emacs
> >> because there is a graphical frame alive, and I cannot close it because
> >> I do not know how, and the only way I can think of makes the terminal
> >> frame unusable (which I suspect is a bug).
> >
> >What does frame-list return?
> 
> (frame-list)
> (#<frame [email-masked] 0x116995f8> #<frame F1 0xc41680>)
> 
> (next-frame)
> #<frame F1 0xc41680>
> 
> (delete-frame (next-frame))
> ^^
> shows the bug (I won't do it now because I am working remotely)

The F1 frame is a TTY frame, so it sounds like you are trying to
delete the frame through which you are communicating with Emacs?

And do you see the same problem when both frames are on the same
machine?

> A shell inside Emacs does not have the environment I am looking for

Why not?

> But this is a workaround to a bug, not a solution.  So it appears to me
> that I should indeed file a new bug report, right?

If so, please include a reproducible recipe.

Thanks.